package com.zy.omp.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.omp.mapper.DeviceInfoStateMapper;
import com.zy.omp.model.DeviceInfoState;
import com.zy.omp.pojo.vo.DeviceDetailVO;
import org.springframework.stereotype.Service;

/**
 * 设备位置信息相关
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class DeviceInfoStateService extends ServiceImpl<DeviceInfoStateMapper, DeviceInfoState> {

    /**
     * 查询设备最新的状态信息
     *
     * @param openNum 设备号
     * @param openId  用户openId
     */
    public DeviceDetailVO getDeviceLatestDetail(String openNum, String openId) {
        return baseMapper.getDeviceLatestDetail(openNum, openId);
    }
}
