package com.zy.omp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zy.omp.model.DeviceInfoState;
import com.zy.omp.pojo.vo.DeviceDetailVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 设备状态信息
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface DeviceInfoStateMapper extends BaseMapper<DeviceInfoState> {

    /**
     * 查询设备最新的状态信息
     *
     * @param openNum 设备号
     * @param openId  用户openId
     */
    DeviceDetailVO getDeviceLatestDetail(@Param("openNum") String openNum, @Param("openId") String openId);
}
